%global realname exmpp
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}


Name:		erlang-%{realname}
Version:	0.9.9
Release:	1%{?dist}
Summary:	A library for the eXtensible Messaging and Presence Protocol
Group:		Development/Languages
License:	ERPL
URL:		https://support.process-one.net/doc/display/EXMPP/
Source0:	http://download.process-one.net/%{realname}/%{realname}-%{version}.tar.gz
Source1:	http://download.process-one.net/%{realname}/%{realname}-%{version}.tar.gz.asc
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	erlang >= R13B
BuildRequires:	expat-devel
BuildRequires:	libxml2-devel
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
Provides:	%{realname} = %{version}-%{release}
Requires:	erlang-crypto
Requires:	erlang-erts
Requires:	erlang-inets
Requires:	erlang-kernel
Requires:	erlang-public_key
# Error:erlang(unicode:characters_to_list/1) in R12B and below
Requires:	erlang-stdlib >= R13B


%description
Erlang XMPP library (exmpp) is a fast and scalable library for the eXtensible
Messaging and Presence Protocol.


%prep
%setup -q -n %{realname}-%{version}


%build
# the installer has some weird logic, and it needs to set-up
# prefix, pointing out to erlang dir
autoreconf -ivf
%configure --prefix=%{_libdir}/erlang/lib
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# cleanup of *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/*.la

# Fix path for installed doc-files
mkdir -p $RPM_BUILD_ROOT%{_docdir}
mv $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{realname}-%{version}/doc/html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%files
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/include/internal
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib
%doc %{_docdir}/%{name}-%{version}
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp.appup
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/exmpp_*.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_caps.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_client.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_jid.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_nss.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_xml.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/exmpp_xmpp.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_known_attrs.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_known_elems.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/include/internal/exmpp_known_nss.hrl
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_compress_zlib.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_stringprep.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_tls_openssl.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_xml_expat.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_xml_expat_legacy.so
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/lib/exmpp_xml_libxml2.so


%changelog
* Mon Aug 06 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.9.9-1
- Ver. 0.9.9

* Wed Oct 05 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.9.8-1
- Ver. 0.9.8

* Fri Aug 27 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.5-1
- Ver. 0.9.5

* Fri Jun 25 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.3-2
- Fixed docs installation

* Fri Mar 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.3-1
- Ver. 0.9.3

* Sun Jan 17 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.9.2-2
- Got rid of %%define

* Thu Dec 24 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.9.2-1
- Ver. 0.9.2

* Thu Dec  3 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.9.1-2.svn871
- Ver. 0.9.1 + svn ver. 871

* Tue Jun 16 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.9.1-1
- initial build

